play.mvc

## Class Scope.RenderArgs

- java.lang.Object
- - play.mvc.Scope.RenderArgs

Enclosing class:
  Scope

    public static class Scope.RenderArgs
    extends java.lang.Object

Render args (used in template rendering)

### Field Summary

Fields
`static java.lang.ThreadLocal<Scope.RenderArgs>` `current`
`java.util.Map<java.lang.String,java.lang.Object>` `data`

### Constructor Summary

Constructors
Constructor and Description
`RenderArgs()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Scope.RenderArgs` `current()`
`java.lang.Object` `get(java.lang.String key)`
`<T> T` `get(java.lang.String key, java.lang.Class<T> clazz)`
`void` `put(java.lang.String key, java.lang.Object arg)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### data

    public java.util.Map<java.lang.String,java.lang.Object> data

#### current

    public static final java.lang.ThreadLocal<Scope.RenderArgs> current

### Constructor Detail

#### RenderArgs

    public RenderArgs()

### Method Detail

#### current

    public static Scope.RenderArgs current()

#### put

    public void put(java.lang.String key,
                    java.lang.Object arg)

#### get

    public java.lang.Object get(java.lang.String key)

#### get

    public <T> T get(java.lang.String key,
                     java.lang.Class<T> clazz)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`